Libreoffice base form design doesn't show toolbars, can't show them

Reported by Guiodic (Guido Iodice) on 2011-01-29
204
This bug affects 37 people
Affects Status Importance Assigned to Milestone
LibreOffice Productivity Suite
Won't Fix
Critical
Baltix
Undecided
Unassigned
libreoffice (Ubuntu)
Medium
Björn Michaelsen
Natty
Undecided
Unassigned
libreoffice-l10n (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Unassigned

Bug Description

Binary package hint: libreoffice

I use Libreoffice 3.3 final from libreoffice ppa, on Lucid.

Trying to create a Form with Form design in LibO Base, it doesn't show toolbars. If I try to show them from menu, the first time someone appears, but if I close the window and reopen it, toolbars are hidden and I can't show them again. So Form design is now completely useless.

UPDATE: the same problem is in Natty with Libreoffice 3.3.2.

CVE References

Oh... there is a side effect... now LibO Writer appears as in the attached screenshot!

description: updated

try liberoffice with deb package from libreoffice.org
this is bug of deb package from launchpad

good luck.

I dont' want to try debs from libreoffice website.

alessandro28 (alessandro28) wrote :

@aborigines
I have just installed LibO with deb from libreoffice.org but it still doesn't works...

@Guiodic (Guido Iodice)
so sad . hope for quick fix.

@alessandro28
try
apt-get remove --purge libreoffice*
apt-get autoremove
rm -rf ~/.libreoffice

and then install debs packages from libreoffice.org

it work for me on 10.10 and 11.04

debs package from libreoffice.org so fast than ppa.

good luck

Tony (tony-smith) wrote :

Hi

Just to add to this.

Using the ppa repository for Libreoffice on ubuntu 10.04.

On a E-machines laptop, libreoffice installs and works perfectly well, including forms design editing. On my Dell INSPIRON 1011 netbook, again with Ubuntu 10.04, I have the same errors as above !!??

Worse stiil, I can't even use some of the forms in runtime mode, as for a few, as soon as a text box has some data added, and the return key hit, libreOffice crashes, and yet it doesn't on my E-machines laptop.

I've had to go back to OO 3.2 on my netbook.

As an aside, I have tried libreoffice on a WinXp virtual machine, and it works fine, I have also tried it on a fedora 11 tower PC, and all works fine, this issue only occurrs for me on the netbook, it is resolution or hardware based? any ideas.

To test this out feel free to download what's needed from

http://sourceforge.net/projects/opensourcetrans/files/

Thanks

Tony

Fabián Rodríguez (magicfab) wrote :

@aborigenes please stop advising to install .debs manually. The recommended way of installing LibreOffice in Ubuntu should be using the PPA at this point. I put together my notes about that here:
https://wiki.ubuntu.com/LibreOffice

@Tony, I haven't experienced any crashes for some time now, purging previous data/installs is important before moving to the PPA install. Once you have purged / remove all existing previous OpenOffice.org and LibreOffice you can use the instructions linked above to install LibreOffice.

Tony (tony-smith) wrote :

Hi Fabian

I have purged the openoffice install, then to be doubly sure, I then did find . -depth / | grep -i openoffice and deleted any files/folders that were found

Then did an apt-get clean all

Then added the libreoffice repository

Then did an apt-get update

Then installed libreoffice from the ppa

Again, the issue is solely visible on the netbook running ubuntu 10.04, yet not the laptop, running ubuntu 10.04.

As an aside note, reverting back to OpenOffice is not so straight forward. Removing libreoffice leaves behind lots of files, and also to get back to OpenOffice had to ure and uno-libs as well libreoffice, before OpenOffice would successfully re-install.

I have tried this 3 separate times on my netbook, all to no avail, the same issue is hit everytime.

I want to avoid installing the debs directly, as I want to use the repositories. I'm hoping this issue will be fixed soon, as until it is, I can't move to libreoffice on my netbook, at least not with ubuntu installed.

Looking around, it appears that other people on other distribution are having similar issues, it's a real shame as it's not the best advert for libreoffice, or ubuntu when it happens, especially when the issue doesn't happen on certain other O/S's or hardware.

Tony (tony-smith) wrote :

Hi

OK, just gone through the manual install, using dpkg -i *.deb, installs fine, however, exactly the same issue still exists, now currently back to installing OO 3.2

I may try, OO 3.3, to see if that suffers from the same issues.

I will report back

Cheers

Tony (tony-smith) wrote :
Download full text (23.4 KiB)

Just tried OO3.3. Same issue, as far as the crash occurring goes, at least can edit forms at least now. Again, this is only an issue on my Dell 1011 Netbook. below, is the error report generated by OO3.3, which must be very similar to that that would be generated by LO 3.3

Cheers

Base

================

================

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE errormail:errormail PUBLIC "-//OpenOffice.org//DTD ErrorMail 1.0//EN" "errormail.dtd">
<errormail:errormail xmlns:errormail="http://openoffice.org/2002/errormail" usertype="">
<reportmail:mail xmlns:reportmail="http://openoffice.org/2002/reportmail" version="1.1" feedback="true" <email address hidden>">
<reportmail:title></reportmail:title>
<reportmail:attachment name="description.txt" media-type="text/plain" class="UserComment"/>
<reportmail:attachment name="stack.txt" media-type="text/plain" class="pstack output"/>
</reportmail:mail>
<officeinfo:officeinfo xmlns:officeinfo="http://openoffice.org/2002/officeinfo" build="330m20(Build:9567)" platform="unxlngi6.pro" language="" exceptiontype="6" product="OpenOffice.org 3.3" procpath="/opt/openoffice.org3/program/"/>
<systeminfo:systeminfo xmlns:systeminfo="http://openoffice.org/2002/systeminfo">
<systeminfo:System name="Linux" version="#55-Ubuntu SMP Mon Jan 10 21:21:01 UTC 2011" build="2.6.32-28-generic" locale="en_GB.utf8"/>
<systeminfo:CPU type="i686"/>
</systeminfo:systeminfo>
<errormail:Stack type="Linux">
<errormail:StackInfo pos="0" ip="0x6245a7" rel="0x1f5a7" name="libuno_sal.so.3" path="/opt/openoffice.org/ure/lib/" dynamicoffset="0x1b5b20"/>
<errormail:StackInfo pos="1" ip="0x624fbd" rel="0x1ffbd" name="libuno_sal.so.3" path="/opt/openoffice.org/ure/lib/" dynamicoffset="0x1b5b20"/>
<errormail:StackInfo pos="2" ip="0xe0e400" rel="0x400" name="" dynamicoffset="0x0" ordinal="__kernel_sigreturn+0x0"/>
<errormail:StackInfo pos="3" ip="0x28ea82" rel="0x2da82" name="libc.so.6" path="/lib/tls/i686/cmov/" dynamicoffset="0x154d7c" ordinal="abort+0x182"/>
<errormail:StackInfo pos="4" ip="0x552260" rel="0xb7260" name="libstdc++.so.6" path="/opt/openoffice.org/ure/lib/" dynamicoffset="0xe0a1c" ordinal="_ZN9__gnu_cxx27__verbose_terminate_handlerEv+0x150"/>
<errormail:StackInfo pos="5" ip="0x54fb05" rel="0xb4b05" name="libstdc++.so.6" path="/opt/openoffice.org/ure/lib/" dynamicoffset="0xe0a1c"/>
<errormail:StackInfo pos="6" ip="0x54fb42" rel="0xb4b42" name="libstdc++.so.6" path="/opt/openoffice.org/ure/lib/" dynamicoffset="0xe0a1c"/>
<errormail:StackInfo pos="7" ip="0x54fc6a" rel="0xb4c6a" name="libstdc++.so.6" path="/opt/openoffice.org/ure/lib/" dynamicoffset="0xe0a1c"/>
<errormail:StackInfo pos="8" ip="0xa0aa65" rel="0x2da65" name="libuno_cppuhelpergcc3.so.3" path="/opt/openoffice.org/ure/lib/" dynamicoffset="0x8288c" ordinal="_ZN4cppu18OPropertySetHelper20getFastPropertyValueEl+0x5f"/>
<errormail:StackInfo pos="9" ip="0xc4cc89" rel="0xb0c89" name="libcomphelp4gcc3.so" path="/opt/openoffice.org/basis3.3/program/" dynamicoffset="0x10804c" ordinal="_ZN10comphelper29OPropertySetAggregationHelper20getFastPropertyValueEl+0x8f"/>
<errormail:StackInfo pos="10" ip="0xa0a636" rel="0x2d636" name="libuno_cppuhelpergcc3.so.3" pa...

@Fabián sorry about but my office with deploy from openoffice to libreoffice , some user with use base . i am testing , it have the same problem. same as @tony . some pc have problem and some pc havn't problem

hope for quick fix it , but deb package recomment with this problem.

Tony (tony-smith) wrote :

It appears to have gone quiet on this issue, and yet it is not fixed.

At first I thought it was because the form I designed was a complicated 1, but alas that is not the case. I have since created a simple hsql embedded database, of 1 table, with 3 fields, including an auto increment primary key field.

Used the forms wizard to create a form based on that simple table.

The form gets created.

On the fullsize laptop & PC, libreoffice base woks as it should, however, on 2 separate netbooks, an Elonex webbook, and a Dell inspiron 1011, the Elonex having a VIA C-7M 1600MHz processor, the dell, Intel(R) Atom(TM) CPU N270 @ 1.60GHz processor, the following occurs.

The forms successfully creates
However, when attempting to edit the form., you cannot get the form design toolbar to display, nor the form controls toolbar.
Right clicking on a form control, will not allow you to edit the form control.

Each of the laptops, and netbooks have Ubuntu 10.04 installed, and fully updated. Also, have Java 6 updates 22 installed, all other versions of java removed.

The only thing I can think of that is appreciably different is the resolution ratio, as the netbooks have the screen resolution of 1024x576., but that may be coincidental.

Please resolve this issue as soon as possible, or at least post regular updates as for when a fix is likely.

Thanks Tony

Tony (tony-smith) wrote :

Hi All

Investigated further, and although the issues are less apparent on the full size laptop & PC, truth is, they are still basically unusable.

Although, running better, I noticed that the value from a combo box on 1 form is not being picked up, and yet, the value from a combo box on another form, which was originally a copy of the form that isn't working, works as expected.

Also, since attempting top use the failing combo box, I am now in the same position as before, of being unable to edit the form, or more specifically the forms.

All of this works exactly as it should in OO 3.2, this release of libreoffice is looking increasingly like a rushed job, and is going to push users back to Windows and MS Office. Libreoffice, has been shipped with a severely broken Base component, rendering Base pretty much unusable.

My other concern is, that unless it's fixed, all the other distro's shippping with LibreOffice 3.3 as default, will also in effect be shipping broken packages, which will only render any new linux experiences, less than optimal.

Regards

Tony

davidr (davaweb) wrote :

Adding to Tony's remarks - I agree. Shipping 3.3 seems to have been a race between oo and lo, and has left base useless.
It is shipping with these types of bugs disabling a package that makes it hard to rely on linux software as reliable - until these failures are a thing of the past.
Something was broken developing 3.3. Be careful when fiddling with things that ain't broke.

davidr (davaweb) wrote :

And let us have a fix, please, before we start to never try upgrades until somebody else has without problems for a year .. or two ..

This is *not* a forum.

Please post only if one or more of following conditions are true:

a) you have some other elements about the issue
b) you have the patch with the solution
c) you have a reliable workaround working with LibO PPA packages.

Tony (tony-smith) wrote :

Hi all, I'm not treating it as a forum, but posting as much information as I can that may help provide a solution.

I have managed to install OpenOffice.org downloading from OpenOffice, and, following 1 change, to the OO Base file, OO Base 3.3 is now working as it should, on ubuntu 10.04 unfortuantely, LO Base 3.3, still has the issues mentioned above.

Also, on the subject of the netbooks, it would appear OO 3.3 has a minimum display setting of 1024x768, which is unsuitable for a netbook, typically 1024x576.

Just to test, I'm installing ubuntu 10.10, although this defeats the object of having an LTS ubuntu release, and will try again with that.

If OO Base, and when fixed LO Base only work on resolutions 1024x768 and above, is definately a bad move, if it makes unusable on netbooks and other umpc's, you are effectively forcing users to, either use Windows & MS Office, or not use it at all. Poor show all round if that is the case.

This has been the worse upgrade to OpenOffice, since before even version 1.0, I really hope that this is not a sign of things to come, and simply teething troubles to do with the split/fork.

However, knowing that base can, and does work in OO 3.3, should at least provide a good starting point for a fix in LO Base 3.3

Tony (tony-smith) wrote :

Unfortunately, since OO/LO 3.3 was released, Base at least is unusable on screens with a resolution of 1024x576. Which in all honesty is a shockingly glaring error, especially when taking into consideration the popularity of netbooks/umpc's. We use them alot with work, especially for those of us on call.

Now the natural progression from here, is, that if OO/LO3.3 is useless on a netbook/umpc, then it's also useless on other systems where Base files are also going to be used on netbooks / umpc's.

That being the case, the only real alternative to OO/LO, is MS Office.

If using MS Office, then there is no other real option, other than to use a MS based OS

If using MS Office, there is no requirement to use either Hsql or MySQL to make the database portable, it makes sense to use MS Access.

What follows then, is that, should the database grow too large for MS Access, the next logical step will be to go down the SQL Server route, again, negating the need for MySQL, or even Oracle DB.

Putting OO 3.3 out with such restriction, must be some of the best new Microsoft has had in an age. Looks like after 10 years, my use of OO/LO may well be coming to an end, it may also be the case that my association with linux may also have to start coming to an end

Cheers

Tony: this bug report has a title. It is about toolbars in LibO. Almost 98% of your messages are about other things.
Please stop.

oscar (garcia-unbc) wrote :

I have the same problem on a Dell Optiplex 755 with a 1920x1200 screen resolution. Ubuntu 10.04, LibO installed from PPA yesterday.
Following the Base tutorial in "Getting Started with LibreOffice 3.3", page 207. Neither the Form Design nor the Form Controls toolbars appear. They cannot be turned on from the View>Toolbars menu. The right-click context menu does not work either.

Tony (tony-smith) wrote :

Hi

Any update on this?

Tony (tony-smith) wrote :

Hi Oscar

I got round the problem with LO, on other resolutions, other than netbooks, by installing using dpkg from the official download, and not the PPA repository.

Just remember, when uninstalling LO, there's quite a bit of manual cleaning up to do afterwards.

What's a little frustrating is, I emailed Ubuntu direct, regarding this issue, and have had no reply as yet.

Cheers

Tony

Ubuntu Natty here, LibreOffice 3.3.1 from PPA doesn't show toolbars in Base Form Designer, but LibreOffice 3.3.1 from www.libreoffice.org show them always. I can submit screenies if you want. I can reproduce this all the time in two different computers, even after purging the LO DEB packages.

Also, there is a tangible performance difference between the two versions, while doing database queries. I lack the knowledge required to properly report that as a new bug, so I would ask some guidance. How can I precisely benchmark the database query process?

I see that the same issue is in Natty.

description: updated

Same problem as OP for openSUSE 11.4 on a Thinkpad x200 Tablet.

Alex Tasin (alextasin) wrote :

same issue in LibreOffice 3.3.2.

Changed in libreoffice (Ubuntu):
status: New → Confirmed
description: updated
Goyo (goyodiaz) on 2011-04-20
tags: added: lo33
Fabián Rodríguez (magicfab) wrote :

@Oscar than you for your short, concise summary of the problem (comment #21). I was able to reproduce the same problem in Natty. There is no PPA for Natty BTW, LibreOffice is the new default office suite in it.

I also noticed said toolbars disappear and reappear consistently when using Full screen view (CTRL-SHIFT-J), when resizing the window in any way and when adding/removing other toolbars. So, they can be (inconsistently) added and used but they will disappear when resizing the window in any way. Adding more than one toolbar eventually shows them all but they disappear or don't "stick" when any other modification is made.

Marking this as confirmed, medium importance.

Changed in libreoffice (Ubuntu):
importance: Undecided → Medium
summary: - Libreoffice base form design doesn't show toolbars
+ Libreoffice base form design doesn't show toolbars, can't show them
Fabián Rodríguez (magicfab) wrote :

I've also tested this in 10.04.2 LTS using the PPA, same behavior.

The summary says it all: The toolbars in LibreOffice Base 3.3.2 don't show up in the first place when you open a new form, or modify an existing form in design view in the Base component of LibreOffice. The same thing happens when you make or modify a report in Base.

When I try to add a toolbar, it immediately disappears when I change the size of the window, or when I try to add a second toolbar.

That's all I can say about this slight problem. I hope you can reproduce it. I am not very good at this, but I wanted to let you know about this minor bug.

Kind regards,
Marco.

Thanks. I have given up on Base for now, until things are sorted out,
and perhaps they start using SQLite natively instead of the java
database engine. Instead I am using SQLite Manager
(sqlite-manager.googlecode.com), that works great for what I need to do.

--
Oscar Garcia - Professor
FRBC / West Fraser Endowed Chair in Forest Growth and Yield
University of Northern British Columbia
3333 University Way, Prince George, B.C., Canada V2N 4Z9
Fax +1(250) 960-5539. Tel. +1(250) 960-5004 (work), 964-9221 (home)
<email address hidden>, http://forestgrowth.unbc.ca, http://web.unbc.ca/~garcia

On 11-04-20 01:55 PM, Fabián Rodríguez wrote:
> @Oscar than you for your short, concise summary of the problem (comment
> #21). I was able to reproduce the same problem in Natty. There is no PPA
> for Natty BTW, LibreOffice is the new default office suite in it.
>
> I also noticed said toolbars disappear and reappear consistently when
> using Full screen view (CTRL-SHIFT-J), when resizing the window in any
> way and when adding/removing other toolbars. So, they can be
> (inconsistently) added and used but they will disappear when resizing
> the window in any way. Adding more than one toolbar eventually shows
> them all but they disappear or don't "stick" when any other modification
> is made.
>
> Marking this as confirmed, medium importance.
>
> ** Changed in: libreoffice (Ubuntu)
> Importance: Undecided => Medium
>
> ** Summary changed:
>
> - Libreoffice base form design doesn't show toolbars
> + Libreoffice base form design doesn't show toolbars, can't show them
>

this problem happen on opensuse 11.4 same as comment #24

Created attachment 45959
Open form - no navigation-bar. Edit form - not possible.

Same problem with LibreOffice in openSuSE: Editing of forms is not possible. Only the first time with the assistant base shows the toolbars.
Another problem - could be the same: Navigation-bar is not shown.

Robert

I have changed the platform to "All" and the importance to "high" and "major", because base isn't usable for editing new databases.

Robert

Excuse me. I have tested it with the version of OpenSuSE. The original version of LibreOffice works well. Forms could be edited, toolbars appear and didn't disappear.

I have changed all values back (sse comment 2)

Robert

Michael J Gray (ubmike) wrote :

The problem exists for me also
Apport thinks that libreoffice is not a genuine Ubuntu package and will not collect information
but here are some things which may be helpful

Hardware is
Acer Aspire 7736G screen is 1600x900

DistroRelease
 Ubuntu 10.04
 Kernel Linux 2.6.32-31-generic-pae

ExecutablePath
 /usr/lib/libreoffice/programs/soffice.bin

NonfreeKernelModules
 nvidia

Package
 libreoffice 1:3.3.2-1ubuntu2~lucid1
 (Package origin LP-PPA-libreoffice/lucid)

Changed in df-libreoffice:
importance: Unknown → Critical
status: Unknown → Confirmed
Mirto Silvio Busico (m-busico) wrote :

I have the same problem

Hardware
HP Pavilion dv6 (nvidia card - resolution 1366x768)

Distro
fresh install of 11.04 amd64

NonFreeKernelModules
Nvidia

Package version
LibreOffice Base 1:3.3.2-1ubuntu4 (natty)
installed from the standard repositories - main server

Mirto Silvio Busico (m-busico) wrote :

Sorry,
in the previous comment the Distro is

Kubuntu 11.04 amd64

David Rahrer (david-rahrer) wrote :

I've got the same issues on Lucid 10.04.2. Renders Base pretty much unusable for development.

Onesimus (joe-heaton) wrote :

I have the same problem too

Hardward
Dell Inspiron 6400 (nvidia GeForce Go 7300)

Distro
Fresh Install of Ubuntu 11.04

Desktop
Unity-2D

Package version
LibreOffice Base 1:3.3.2-1ubuntu4 (natty)
installed from the standard repositories

The other problem I seem to be encountering is that the form widgets look really ugly using the Ambiance Theme. However, if I change to the ClearLooks theme everything looks fine. Also if I customise the Ambiance theme to use the clearlooks controls again everything is fine.

Ferry Toth (ftoth) wrote :

Yes , I have this too, Kubuntu Natty with LibreOffice 3.3.2. Never had this before.

Just checked on Kubuntu Maverich with OpenOffice 3.2.1 database editing forms works fine.

1920x1200 screen, Intel video, both cases.

Ferry

Ferry Toth (ftoth) wrote :

This bug has been forwarded to upstream freedesktop-bugs #36684.

But there is no mention of this specific problem with the status bar / edit tool bar in Base.

Ferry

Ferry Toth (ftoth) wrote :

I think we need to build a ppa for Openoffice 3.2.1 until the issues with LO 3.3 and OO 3.3 get fixed.

Anybody here have experience doing that?

Ferry

I confirm the strange behaviour described in comment #29

Environment :
- Dualboot Ubuntu 11.04 Natty & W7
- 4 Gb RAM, screen 1920x1080, Nvidia GT240M
LO: W7 > 3.3.2 final from LO website
       Ubuntu > 1) bundled 3.3.2 installed with 11.04 + Base from Ubuntu application manager + 2) 3.4.0 beta 5 from deb packages
Results (hence on the same machine, same screen resolution):
- W7: no problem, form designer toolbars displayed normally and operational
- Ubuntu + bundled version 3.3.2: same issues as described in various posts (form design unusable) - therefore, it does not seem to be a screen resolution issue, at least at my end
- Ubuntu + deb version 3.4.0 beta 5: GOOD NEWS! form designer frame back to normal, both toolbars displayed and functional. It is also possible to activate/desactived them through View > Toolbars menu.
Extra comment: both versions within Ubuntu are incredibly slow in displaying table data. It takes 17 sec to display the first "page" for a table having just 500 records and 20 columns (while it is normal with the Windows version) - I will try to find out where to report this.

Ferry Toth (ftoth) wrote :

From what I've read in the document foundation news group the problem is specific to the Ubuntu packaged version. It is claimed the problem does not occur in the document foundation build.

If so, I think that would justify an update.

Slowness: yes I've experienced that too. I guess you use the embedded HSQL database? Typically when opening a table I get about 10 record per 1or 2 seconds. That is terrible!

I moved my data to an external mysql database.

Reported is the problem is caused by the java version and going back to an older one improves the performance.

Myself prefer postgres + SDBC driver (which is broken for this version in LO and also in OO, under XP as well).

Ferry

Changed in df-libreoffice:
status: Confirmed → Fix Released
Tom (tom6) wrote :

Hi :)
From the TDF mailing lists, NoOp said

"
Fixed in 3.4:
https://bugs.freedesktop.org/show_bug.cgi?id=36684

<snip> .. </snip>

Ubuntu is still on 3.3.2:
https://launchpad.net/ubuntu/+source/libreoffice

You can download the 3.4 pre-release here & test as a .deb install:
http://www.libreoffice.org/download/pre-releases/
Regards from
Tom :)

Reply to Ferry: No, this is not an Ubuntu specific bug, it happens with 3.3.2 on OpenSUSE, Debian and Upstream too.

Proposed upstream to be cherrypicked for the 3.3.3 micro release, considering it for backporting the commit for a ppa release.

Changed in libreoffice (Ubuntu):
assignee: nobody → Björn Michaelsen (bjoern-michaelsen)
status: Confirmed → In Progress
Changed in df-libreoffice:
status: Fix Released → Confirmed
Ferry Toth (ftoth) wrote :

Björn,

Any chance that we could get the Maverick version of OO (3.2.1) built in the Scriblers PPA?

There are other issues as well, like the postgres SDBC driver not working. Neither in LO3.3 nor OO3.3.

It would be great to be able to fall back to a version with 'known' bugs, until 3.3.3 sees the light.

Ferry

No, there are no plans for OOo versions in the PPAs.

removing link to fdo#36684 as that might be an unrelated issue.

Changed in df-libreoffice:
importance: Critical → Undecided
status: Confirmed → New

Connecting with more specific upstream bug.

Changed in df-libreoffice:
importance: Undecided → Unknown
status: New → Unknown

Adding lp#709778 with four dupes and lots of additional info. This is indeed a serious issue, however not reproducible on all machines/setups. It is _not_ an Ubuntu only bug, see:
 https://bugs.launchpad.net/df-libreoffice/+bug/709778/comments/27
 https://bugs.launchpad.net/df-libreoffice/+bug/709778/comments/32

Changed in df-libreoffice:
importance: Unknown → High
status: Unknown → Confirmed

*** Bug 33032 has been marked as a duplicate of this bug. ***

Ferry Toth (ftoth) wrote :

Problem persists in LO proposed (3.3.2-1ubuntu5).

Ferry

The solution of this bug is very important for me because I want to switch over from Microsoft Windows to Ubuntu. I'm working with databases and LibreOffice frontends. At the moment I can't work with the Linux version of LibreOffice.

The windows version of LibreOffice doesn't have this problem.

Regards
Herbert

Confirmed on current master without any vendor patching.

Confirmed on current 3.4 release branch without any vendor patching. Given that this was reported _not_ to happen on the 3.3.2 release without vendor patching, this is a regression.

@Noel: Assigning to you for further info.
As the bug was not observed in libreoffice 3.3.2 upstream builds, but was observed in OpenSUSE and Ubuntu vendor builds and is being observed in the current 3.4, this is most likely one of the integrated patches from libreoffice/build. Any hints on likely candidates for triage?

Since this bug is reproducable on LibreOffice 3.4.X and later as of now, please follow the discussion of the upstream bug at:
 http://bugs.freedesktop.org/show_bug.cgi?id=36443

(In reply to comment #9)
> Confirmed on current 3.4 release branch without any vendor patching. Given that
> this was reported _not_ to happen on the 3.3.2 release without vendor patching,
> this is a regression.

It is very painful indeed...
I'm joining this bugzilla, because I reported this bug to Novells Bugzilla für LibreOffice (#686354), but nothing happened yet.

Maybe my observations (using opensuse 11.x) will help you to find the bug:

I first encountered this fault last autumn in the 3.3rc-Versions of OpenOffice; later in the 3.3rc of LibreOffice and all final Versions since then.
Note that I always got Open/LibreOffice from the opensuse-buildservice.

All corresponding native packages of Open/LibreOffices didn't show this effect, as you mentioned.
So I assumed, it was a opensuse/Novell thing.

For some weeks I noticed several reports of this issue in usenet by users with brand-new e.g. ubuntu-linux, so this seems to be not opensuse-only.

It is slightly horrifying news, that this came into the pure LibreOffice code, because this will make work with databases completely impossible!

(Currently I'm using opensuse-builds, because they have a better KDE-Integration. For databases only I have native version installed additionally.)

Besides this, there is another problem with *existing* forms: control dialogs of form elements do not appear called by context menu. So after solving this bug, that would be the next problem.

Bjoern would greatly appreciate some hints on which ooo-build patches might have caused this (Noel - any ideas ?).

Changed in df-libreoffice:
importance: High → Critical

(In reply to comment #12)
> Bjoern would greatly appreciate some hints on which ooo-build patches might
> have caused this (Noel - any ideas ?).

as mentioned on irc...

https://bugzilla.novell.com/show_bug.cgi?id=689375 looks like a likely candidate, Still, I cannot understand how this would be reproducible on 3.4 ( without distro patches ) so... still not clear we are dealing with the same thing ( looks like it though )

This is how I reproduced the the issue with the last time:

build smoketest
cd solver/340/unxlngx6.pro/installation/
./opt/program/soffice
- select database in startcenter
- create new database, click finish
- confirm filename
- Use Wizard to create table -> AssetID -> ">>" -> Finish
- Forms -> Create Form in Design View
-> no toolbars?

However I now have toolbars but on 2011-05-17 I had not. Instead I had:
 https://launchpadlibrarian.net/63089243/screenshot3.png
(not my screenie, but I saw the same)

So this is a Heisenbug or accidently fixed. On the launchpad bug you see people observing the bug on one machine, but not on a different one. I tested on the same machine. My money is on this being a Heisenbug.

I wish I was already logging repostates of my builds last week. I will keep an eye on this one from now on.

(In reply to comment #14)
> However I now have toolbars but on 2011-05-17 I had not. Instead I had:
> https://launchpadlibrarian.net/63089243/screenshot3.png
the screenshot is exactly what I saw with https://bugzilla.novell.com/show_bug.cgi?id=689375
> (not my screenie, but I saw the same)
>
> So this is a Heisenbug or accidently fixed. On the launchpad bug you see people
> observing the bug on one machine, but not on a different one. I tested on the
> same machine. My money is on this being a Heisenbug.
it seems to be too coincidental to see this same effect[*], are you positive that you saw this on 3.4 branch ? Anyway, keep an eye out

[*] ALL toolbars gone

The above discussion sounds like the problem is difficult to reproduce.

In fact it is simple and quick and exactly as Björns comment 14.

On Ubuntu Natty (i32 and amd64)
LibreOffice 3.3.2
OOO330m19 (Build:202)
tag libreoffice-3.3.2.2, Ubuntu package 1:3.3.2-1ubuntu5

the result is exactly the same:

When opening a form to enter data there are no navigation bars, no tool bars and no status bar. You can only add a record by clicking on the last field and pressing enter. You can manually add the navigation bar, but it will disappear after close/reopen the form. You can not add the status bar. And if you try to add the formating toolbar the navigation bar will disappear.

When editing a form there are no Form Design and Form Control toolbars. Also you cannot click a control to get to these tools, so you can not change your form at all, other then drag the control around a bit.

I think more needs to be done then 'keep an eye out'.

I just downloaded 3.3.2 Final (22-03-2011) (the deb version) from the LO web site, installed on a Maverick VM with OO wiped off.

LO is same build OOO330m19 (Build:202). Guess what, here Data entry and Forms Editing work fine.

This suggests a packaging problem in Ubuntu.

So then upgraded to LibreOffice 3.4 RC2 (2011-05-27)
LibreOffice 3.4.0
OOO340m1 (Build:12)

Also NO problems here (with forms).

So it actually does seem to be a packaging problem. But then one then occurs on multiple distributions - not just Ubuntu.

Now what. None of the user with Natty installed is currently able to do any useful database work.

We need a fix in Natty and quick too.

Ferry

@Ferry: No, this bug is _not_ easily reproducible. If you look at the launchpad bug some people have can produce the issue on one machine but cannot on another with the same version.

Also this is not a "packaging problem in Ubuntu" -- it was most likely introduced by the go-oo patches that were applied as a de-fact standard by almost all distributions including SUSE, Debian, Ubuntu for the 3.3 branch. Those are some 500 patches which is why I asked about some hints which ones could be the problematic ones.

On 3.4 these patches have been included in all versions including those directly available from the libreoffice website -- they are not patches anymore. As this could not be reproduced in the recent 3.4.0 rcs, we however still need to keep an eye out for it to pop up again as it might just be a Heisenbug that is hiding.

Also adding Debian bug 617319 for reference: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=617319

Adding Novell bug url.

In the Novell bug, optional-outplace-ole.diff is assumed to be the root cause of the problem. However, I just did a Ubuntu/Debian build without that patch, and the problem persists.

additionally removed the patchsets Layout, VBABits, VBAObjects, LayoutDialogs, VBAUntested, but the bug persists.

ignore the last two comments: I had an old soffice.bin instance running. it is indeed optional-outplace-ole.diff causing the trouble.

@Björn,

I didn't mean to say that the problem would be easy to debug. Or solely a Ubuntu problem, as I am well aware that it happens at least on Debian too.

I am glad you located the offending patch. Does it explain why "some people can produce the issue on one machine but cannot on another with the same version"?

If I could have found a machine that didn't have the problem I wouldn't have been that desperate. I tried new installs, older upgrades, i32 and amd64, VM. All the same.

I think some confuse the form showing 'read only' with 'cannot enter data in the form'.

Will the 'rebuild' show up in the PPA? I can't wait to try it.

Ferry

closing as fixed as it is not reproducible in the current unpatched 3.3 and 3.4 branches.

The offending patch has been identified in the upstream bugzilla.
A build without that patch is available as:

 https://launchpad.net/~libreoffice/+archive/ppa/+sourcepub/1749826/+listing-archive-extra

in the libreoffice ppa. The patch removal might cause a regression as per:

 http://openoffice.org/bugzilla/show_bug.cgi?id=98970

but that is hardly worth the damage the patch does to base.

Changed in libreoffice (Ubuntu):
status: In Progress → Fix Committed

thanks Bjorn, but I haven't understand how to reproduce the OOo bug 98970.

@Ferry: FYI, the fixed version is currently building in the ppa.

Ferry Toth (ftoth) wrote :

@Guiodic: you need to add ppa:libreoffice/ppa to the sources in synaptic. Or go to https://launchpad.net/~libreoffice/+archive/ppa for more instructions.

@ Björn: LO from the PPA solves the problem. I also checked for a regression in our of place object editing, but this option is not available without the patch, so there is no visible problem. It is the same as the windows version which also does not have out of place editing for objects.

You are the man! Thanks so much for helping me out!

.. Now if we could only get the postgres SDBC driver to work

Ferry

@Ferry: yes I know, my question was about the regression, I didn't understand what it is.

Ferry Toth (ftoth) wrote :

@Guiodic: ah, sorry. My guess is an optional feature in the linux version (but not the windows version). When you right click an embedded object you select edit out of place. This feature is now not available any more. I think it never really worked well, because when you resized the out-of-place object window the size of the object was also changed.

It would be a nice feature if it worked well. On MS Word it also did not work well, I guess it was never that important.

Changed in df-libreoffice:
status: Confirmed → Fix Released

Many thanks for your succeeding efforts, Björn...

I really hope, that this bug will not rise again in the downstream versions by ubuntu or in my case opensuse.

Onesimus (joe-heaton) wrote :

Why is it that OpenOffice is not in the repositories ? I understand and accept that LibreOffice is now the default Office suite. But there are multiple audio applications available in the repositories, and if I don't like the default one then I merely install the one to my liking. Why is this not the case for OOo ?

That way it would be easy to revert to OOo given the severity of the bugs currently encountered in LO.

LO is today a rebranded version of OOo plus the go-oo patches. Go-oo was the default version of OOo in Ubuntu < 11.04.

Hi guys,

I know it is tempting, but please do not discuss policy decisions in the bug on launchpad, it is the wrong place. Mailing lists, blueprints and other channels are more suited for that topic.

Cecil Carpenter (cscj01) wrote :

OK, I am a little confused as to whether this bug has been fixed, and , if so, in what release. I am running Ubuntu 10.10 (Maverick) x64 and LO 3.3.2. I first encountered this bug when I installed LO after removing OOo. I could get the toolbars by View>Full Screen, exit Full Screen, and View>Toolbars, and checking the toolbars I wanted. I was able to get things working correctly by completely removing LO and reinstalling from the PPA.

Now the problem is back, but I have a new monitor and my screen resolution has changed. It is now 1920 x 1080. It was 1024 x 768. I installed a new 22" monitor to replace my 19" monitor.

My guess is that screen resolution is somehow related to this problem, both from my experiences and from this thread. All of that said, how do I get a version in which this bug has been fixed for my environment?

Another comment: The performance issue is definitely related to the Sun Java version. I had to regress to Java 1.6.21 to get rid of the performance problem.

How is this fixed? I have Libre Office 3.3.2 installed on my Ubuntu 11.04 machine and this is still happening to me.

Keith Clark (keithclark) wrote :

How is this fixed? I am currently running Ubuntu 11.04 with Libre Office 3.3.2 and I have this bug still. I've done all the updates.

I also am getting incredibly, almost unusable performance as well as this bug.

As it stands right now, Libre Office Base is unusable to me, how many other new users are experiencing the same frustrating bug?

NoOp (glgxg) wrote :

Fixed in upstream 3.3.3 & 3.4.1.
Both tested on Ubuntu 11.04. I can offer screenshots of (U)3.3.2, LO 3.3.3 & 3.4.1 if requested.
Ping: Björn Michaelsen... Over to Ubuntu packaging for resolution.

Works for me in (linux) 3.3.3 & 3.4.1.

Still does not work in Ubuntu 3.3.2, so it appears to be a distro packaging/update/upgrade issue.

Changed in df-libreoffice:
status: Fix Released → Confirmed
Cecil Carpenter (cscj01) wrote :

I upgraded to 11.04, added the Libreoffice PPA, and upgraded to LO 3.3.3 (1:3.3.3-iubuntu1). My LO Base forms fail as before. In fact, there is a change in their behavior, but it has to do with the order I enable the toolbars. I must follow the following steps in the indicated order to have my toolbars correctly displayed:

(1) open form in Edit mode (no toolbars are displayed);
(2) enter full screen mode (shift-control-j);
(3) exit full screen mode;
(4) select View>Toolbars;
(5) check Standard;
(6) select View>Toolbars;
(7) check Form Navigation;
(8) select View>Toolbars;
(9) check Form Design;
(10) select View>Toolbars;
(11) check Form Controls.

If I follow any other sequence, toolbars disappear. For example, if I check any of the above before checking Standard, when I check Standard, the other toolbars disappear. If I check Forms Controls before I check Forms Design, the Standards toolbar will disappear, etc.

Additionally, if I follow the above sequence for a form, save it (either after changes or not), and exit the form, the toolbars are not saved. That is, when I open the form again, I have to repeat the above sequence to get the toolbars back.

So in my environment with Ubuntu 11.04 and LO 3.3.3, this problem is not fixed. Perhaps I need to completely remove LO and re-install? Perhaps I need to get LO 3.3.3 debs and install? Perhaps I don't know how to get this fixed? Any suggestions?

The bug is in status "fix commited", not "fix released" as the fix is not yet in packaging in the main repositories. The reason for this is that we wanted to have the all the fixes of the 3.3.3 release in the update -- as LibreOffice is a huge update.
The fix is in the ppa packaged since 3.3.2-1ubuntu6~ppa1 in the libreoffice ppa. It will be in the 3.3.3-1ubuntu1 will be SRU'ed into natty with the 1:3.3.3-1ubuntu1 release for which the l10n package is still building in the ppa.
It will be fixed in the 3.4.1-1ubuntu1 package for oneiric which will hit the repositories in the next days.
Updates for the unsupported maverick and lucid backports are currently not a priority, but might happen, if workload allows.

@NoOp: The issue was not in the upstream LO, it was never there. The problem was introduced by one of the go-oo patches still being used by Debian, Ubuntu, SuSE and others. The issue was fixed by not applying that patch and Ubuntu were the first to do so.

Never been an issue with the plain native build. Fixed in 3.3.3 release which will be SRUed for Natty and all further releases on Ubuntu and Debian.

Again: Please dont reopen, not an upstream issue, as not in the master repo.

Changed in df-libreoffice:
status: Confirmed → Won't Fix
Ferry Toth (ftoth) wrote :

Cecil,

Are you sure on "I upgraded to 11.04, added the Libreoffice PPA, and upgraded to LO 3.3.3 (1:3.3.3-iubuntu1). "

Because since #54 above it is fixed for me. I just checked with my current version from the ppa
(LibreOffice 3.3.3 OOO330m19 (Build:301) tag libreoffice-3.3.3.1, Ubuntu package 1:3.3.3-1ubuntu1) and Natty (11.04)

and it is still fixed, i.e. when I open a form in edit mode it is displayed with tools bars shown.

Ferry

Cecil Carpenter (cscj01) wrote :

Ferry,

Well, perhaps you're on to something. I had the following sources at the time of upgrade:

# deb http://ppa.launchpad.net/lazka/ppa/ubuntu natty main # disabled on upgrade to natty
# deb-src http://ppa.launchpad.net/lazka/ppa/ubuntu natty main # disabled on upgrade to natty
# deb http://debian.tagancha.org/debian/ natty main # disabled on upgrade to natty
# deb-src http://debian.tagancha.org/debian/ natty main # disabled on upgrade to natty
# deb http://ppa.launchpad.net/dlynch3/ppa/ubuntu natty main # disabled on upgrade to natty
# deb-src http://ppa.launchpad.net/dlynch3/ppa/ubuntu natty main # disabled on upgrade to natty

I did add the following after upgrade:

deb http://ppa.launchpad.net/libreoffice/ppa/ubuntu natty main
deb-src http://ppa.launchpad.net/libreoffice/ppa/ubuntu natty main

Synaptic still shows 1:3.3.3-1ubuntu1.

However I did not install the patched version in #54 (at least not to my knowledge). In fact, I am not sure how to install a package from the link in #54. But if I did, wouldn't that regress my LO to 3.3.2?

Cecil

Hello Guiodic, or anyone else affected,

Accepted libreoffice into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in libreoffice (Ubuntu Natty):
status: New → Fix Committed
tags: added: verification-needed
Changed in libreoffice-l10n (Ubuntu Natty):
status: New → Fix Committed
Clint Byrum (clint-fewbar) wrote :

Hello Guiodic, or anyone else affected,

Accepted libreoffice-l10n into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

the issue was anready fixed for me for lib0 3.3.2 and libo 3.3.3 from libreoffice ppa (see comment #56)

Ferry Toth (ftoth) wrote :

Cecil,

No the ppa has been rebuilt since #54. I have the same version as you (from the same ppa). But for me it still works.

Ferry

Marc Deslauriers (mdeslaur) wrote :

NACK: Package that is currently in -proposed regresses the icon theme. See LP: #813148.

tags: added: verification-failed
removed: verification-needed

"Package that is currently in -proposed regresses the icon theme"

It is a very low important regression. If you can correct it in few days, ok, but if not please ignore it.

version 1:3.3.3-1ubuntu2 uploaded to natty-proposed fixing LP: #813148.

tags: added: verification-needed
removed: verification-failed

It works.

tags: added: verification-done
removed: verification-needed
Changed in libreoffice-l10n (Ubuntu):
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libreoffice - 1:3.3.3-1ubuntu2

---------------
libreoffice (1:3.3.3-1ubuntu2) natty-proposed; urgency=medium

  * move icons back to 3.3 location after unpacking (LP: #813148)
  * minor changelog fixes

libreoffice (1:3.3.3-1ubuntu1) natty-proposed; urgency=medium

  * merge from Debian:
    - debian/rules: make multiarch changes conditional and skip them
      for squeeze (Daniel Baumann)
    - rules: move evolocal.odb into -evolution proper
    - debian/libreoffice-filter-binfilter.links.in:
      actually create symlink for libbindet*so in registered-components
  * regenerate control file
  * update patch queue
  * remove lp709778.diff as it has been picked up as
    disable-optional-outplace-ole.diff by debian
  * remove desktop-templates.diff, those templates are unused
  * remove desktop-translations.diff, those templates are unused
  * remove fix-lo-desktop-pot.diff, those templates are unused
  * remove lp775608.diff, has been integrated upstream
  * update human icon theme to a 2011-06-24 checkout from master
  * update fixes for desktop file entries from ubuntu wiki (LP: #720716)
  * reenable sdbc_postgresql for natty even though it is broken,
    to prevent NBS in natty

libreoffice (1:3.3.3-1) unstable; urgency=medium

  * new upstream release

  [ Rene Engelhard ]
  * debian/patches/disable-optional-outplace-ole.diff: as name says; makes
    toolbars work in e.g. Base edit forms (closes: #617319)

  * debian/rules:
    - disable -sdbc-postgresql until fixed (closes: #620100)
    - stop moving vbaevents*.uno.so to -calc. Move libvbaswobj*uno.so
      to -writer
    - make -l10n-sw (if enabled) depend on locales (>= 2.13-5)
    - adapt GCJ_JAWT_DIR handling for new multiarch dirs and explicitly
      give -l to the libgcj_bc.so.1 multiarch dir to dh_shlibdeps...
  * debian/control.in:
    - build-conflict against libmdds-dev (>= 0.4.0)
  * debian/rules, debian/*lintian-overrides:
    fix/override (some) new Java related lintian warnings
  * debian/rules, debian/libreoffice-filter-binfilter*.in:
    oops, we forgot to do (de-)registering for libbindet*.so

  [ Björn Michaelsen ]
  * debian/patches/jurt-soffice-location.diff: add the fallback
    /usr/lib/libreoffice/program/soffice to jurts NativeLibraryLoader;
    we know where it is

libreoffice (1:3.3.2-1ubuntu6~ppa1) natty; urgency=high

  * removing patch optional-outplace-ole.diff (LP: #709778)
  * this might cause a regression as per OpenOffice.org Bug 98970
 -- Bjoern Michaelsen <email address hidden> Wed, 20 Jul 2011 17:41:56 +0200

Changed in libreoffice (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libreoffice-l10n - 1:3.3.3-1ubuntu1

---------------
libreoffice-l10n (1:3.3.3-1ubuntu1) natty-proposed; urgency=low

  * merged all changes up to 3.3.3-1ubuntu1
  * regenerate control

libreoffice (1:3.3.3-1ubuntu1) natty; urgency=medium

  * merge from Debian:
    - debian/rules: make multiarch changes conditional and skip them
      for squeeze (Daniel Baumann)
    - rules: move evolocal.odb into -evolution proper
    - debian/libreoffice-filter-binfilter.links.in:
      actually create symlink for libbindet*so in registered-components
  * regenerate control file
  * update patch queue
  * remove lp709778.diff as it has been picked up as
    disable-optional-outplace-ole.diff by debian
  * remove desktop-templates.diff, those templates are unused
  * remove desktop-translations.diff, those templates are unused
  * remove fix-lo-desktop-pot.diff, those templates are unused
  * remove lp775608.diff, has been integrated upstream
  * update human icon theme to a 2011-06-24 checkout from master
  * update fixes for desktop file entries from ubuntu wiki (LP: #720716)
  * reenable sdbc_postgresql for natty even though it is broken,
    to prevent NBS in natty

libreoffice (1:3.3.3-1) unstable; urgency=medium

  * new upstream release

  [ Rene Engelhard ]
  * debian/patches/disable-optional-outplace-ole.diff: as name says; makes
    toolbars work in e.g. Base edit forms (closes: #617319)

  * debian/rules:
    - disable -sdbc-postgresql until fixed (closes: #620100)
    - stop moving vbaevents*.uno.so to -calc. Move libvbaswobj*uno.so
      to -writer
    - make -l10n-sw (if enabled) depend on locales (>= 2.13-5)
    - adapt GCJ_JAWT_DIR handling for new multiarch dirs and explicitly
      give -l to the libgcj_bc.so.1 multiarch dir to dh_shlibdeps...
  * debian/control.in:
    - build-conflict against libmdds-dev (>= 0.4.0)
  * debian/rules, debian/*lintian-overrides:
    fix/override (some) new Java related lintian warnings
  * debian/rules, debian/libreoffice-filter-binfilter*.in:
    oops, we forgot to do (de-)registering for libbindet*.so

  [ Björn Michaelsen ]
  * debian/patches/jurt-soffice-location.diff: add the fallback
    /usr/lib/libreoffice/program/soffice to jurts NativeLibraryLoader;
    we know where it is

libreoffice (1:3.3.2-1ubuntu6~ppa1) natty; urgency=high

  * removing patch optional-outplace-ole.diff (LP: #709778)
  * this might cause a regression as per OpenOffice.org Bug 98970
 -- Bjoern Michaelsen <email address hidden> Tue, 05 Jul 2011 11:26:41 +0200

Changed in libreoffice-l10n (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (11.6 KiB)

This bug was fixed in the package libreoffice - 1:3.4.1-4ubuntu1

---------------
libreoffice (1:3.4.1-4ubuntu1) oneiric; urgency=low

  * rename default theme back to default
  * merge 3.4.1-4 from debian
  * regenerate control
  * add multiarch support for qt4

libreoffice (1:3.4.1-4) experimental; urgency=low

  * debian/rules:
    - don't statically check for /build/buildd- but use grep, which will
      catch also /build/buildd2- as on lucatelli2...
    - reverse conditional to not build reportbuilder to really disable
      its build on gcj archs (apparently ant and envvars still broken due
      to multiarch)
    - add libstlport4.6-dev builddep only when something is in
      OOO_STLPORT_ARCHS, don't rely on LINK_TO_STLPORT. Not set on !i386...

libreoffice (1:3.4.1-3ubuntu1) oneiric; urgency=low

  * merge from Debian
    - remove libebook patch, has been picked up by debian
    - remove dynamic-list-cpp-new patch, has been picked up by debian
  * regen control

libreoffice (1:3.3.3-1ubuntu1) natty; urgency=medium

  * merge from Debian:
    - debian/rules: make multiarch changes conditional and skip them
      for squeeze (Daniel Baumann)
    - rules: move evolocal.odb into -evolution proper
    - debian/libreoffice-filter-binfilter.links.in:
      actually create symlink for libbindet*so in registered-components
  * regenerate control file
  * update patch queue
  * remove lp709778.diff as it has been picked up as
    disable-optional-outplace-ole.diff by debian
  * remove desktop-templates.diff, those templates are unused
  * remove desktop-translations.diff, those templates are unused
  * remove fix-lo-desktop-pot.diff, those templates are unused
  * remove lp775608.diff, has been integrated upstream
  * update human icon theme to a 2011-06-24 checkout from master
  * update fixes for desktop file entries from ubuntu wiki (LP: #720716)
  * reenable sdbc_postgresql for natty even though it is broken,
    to prevent NBS in natty

libreoffice (1:3.4.1-3) experimental; urgency=low

  * debian/patches/fix-bridges-cpp-uno-depends.diff: fix mising depends in
    bridges' build.lst which can cause FTBFS on s390(x), arm, ia64, hppa, alpha
  * debian/patches/no-prctl-on-kfreebsd.diff: don't try to #include <sys/prctl.h>,
    it doesn't exist for FreeBSD

  * debian/rules:
    - also set ON_BUILDD=y if $(CURDIR) begins with /build/buildd-
    - build-depend on javahelper >= 0.37~ instead of >= 0.37 to help
      squeeze-backpors

libreoffice (1:3.4.1-2) experimental; urgency=low

  [ Rene Engelhard ]
  * debian/patches/vbaobj-visibility-fix.diff: fix sc build on i386, imported
    from Fedora

  * debian/libreoffice-common.postinst.in, libreoffice-core.postinst.in,
    debian/shell-lib-components.sh:
    check for /@OOBASISDIR@/program/.services.rdb before using it
    (closes: #633396) and replace manual call of the function by
    dpkg-trigger. Also run the trigger in -cores postinst
    (thanks Jonathan Nieder)
  * debian/control.in:
    - make new -common break old -evolution/-filter-binfilter
  * debian/rules:
    - also -Xlibreoffice-dbg on jh_depends... (closes: #633540)
    - update ENABLE_OPENGL configure flags, now --enable-opengl...

Changed in libreoffice (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (11.9 KiB)

This bug was fixed in the package libreoffice-l10n - 1:3.4.1-4ubuntu1

---------------
libreoffice-l10n (1:3.4.1-4ubuntu1) oneiric; urgency=low

  * merge all changes up to 1:3.4.1-4ubuntu1
  * depend on translate-toolkit >= 1.9.0
  * regenerate control

libreoffice (1:3.4.1-4ubuntu1) oneiric; urgency=low

  * rename default theme back to default
  * merge 3.4.1-4 from debian
  * regenerate control
  * add multiarch support for qt4

libreoffice (1:3.4.1-4) experimental; urgency=low

  * debian/rules:
    - don't statically check for /build/buildd- but use grep, which will
      catch also /build/buildd2- as on lucatelli2...
    - reverse conditional to not build reportbuilder to really disable
      its build on gcj archs (apparently ant and envvars still broken due
      to multiarch)
    - add libstlport4.6-dev builddep only when something is in
      OOO_STLPORT_ARCHS, don't rely on LINK_TO_STLPORT. Not set on !i386...

libreoffice (1:3.4.1-3ubuntu1) oneiric; urgency=low

  * merge from Debian
    - remove libebook patch, has been picked up by debian
    - remove dynamic-list-cpp-new patch, has been picked up by debian
  * regen control

libreoffice (1:3.3.3-1ubuntu1) natty; urgency=medium

  * merge from Debian:
    - debian/rules: make multiarch changes conditional and skip them
      for squeeze (Daniel Baumann)
    - rules: move evolocal.odb into -evolution proper
    - debian/libreoffice-filter-binfilter.links.in:
      actually create symlink for libbindet*so in registered-components
  * regenerate control file
  * update patch queue
  * remove lp709778.diff as it has been picked up as
    disable-optional-outplace-ole.diff by debian
  * remove desktop-templates.diff, those templates are unused
  * remove desktop-translations.diff, those templates are unused
  * remove fix-lo-desktop-pot.diff, those templates are unused
  * remove lp775608.diff, has been integrated upstream
  * update human icon theme to a 2011-06-24 checkout from master
  * update fixes for desktop file entries from ubuntu wiki (LP: #720716)
  * reenable sdbc_postgresql for natty even though it is broken,
    to prevent NBS in natty

libreoffice (1:3.4.1-3) experimental; urgency=low

  * debian/patches/fix-bridges-cpp-uno-depends.diff: fix mising depends in
    bridges' build.lst which can cause FTBFS on s390(x), arm, ia64, hppa, alpha
  * debian/patches/no-prctl-on-kfreebsd.diff: don't try to #include <sys/prctl.h>,
    it doesn't exist for FreeBSD

  * debian/rules:
    - also set ON_BUILDD=y if $(CURDIR) begins with /build/buildd-
    - build-depend on javahelper >= 0.37~ instead of >= 0.37 to help
      squeeze-backpors

libreoffice (1:3.4.1-2) experimental; urgency=low

  [ Rene Engelhard ]
  * debian/patches/vbaobj-visibility-fix.diff: fix sc build on i386, imported
    from Fedora

  * debian/libreoffice-common.postinst.in, libreoffice-core.postinst.in,
    debian/shell-lib-components.sh:
    check for /@OOBASISDIR@/program/.services.rdb before using it
    (closes: #633396) and replace manual call of the function by
    dpkg-trigger. Also run the trigger in -cores postinst
    (thanks Jonathan Nieder)
  * debian/control.in:
    - make new -common break old -...

Changed in libreoffice-l10n (Ubuntu):
status: Confirmed → Fix Released
AttilaN (attila123456) wrote :

Any chance to release this fix for Maverick in the PPA?

Ferry Toth (ftoth) wrote :

Shouldn't this bug be closed?

Changed in baltix:
status: New → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.